Fix compatibility with older versions of the ruby std lib (i.e: the one on cruise...
authorMatt Amos <zerebubuth@gmail.com>
Mon, 27 Jul 2009 16:59:14 +0000 (16:59 +0000)
committerMatt Amos <zerebubuth@gmail.com>
Mon, 27 Jul 2009 16:59:14 +0000 (16:59 +0000)
test/functional/amf_controller_test.rb

index 9193cb4d2d3bd4f305dad45724c10b2fec5234b2..c00003cbb8ddadcded714c5189a8885315d94919 100644 (file)
@@ -464,7 +464,7 @@ class AmfControllerTest < ActionController::TestCase
     # normal user has a changeset open
     changeset = changesets(:public_user_first_change)
     
-    mostly_invalid = 32.times.to_a.map {|i| i.chr}.join
+    mostly_invalid = (0..31).to_a.map {|i| i.chr}.join
     tags = { "something" => "foo#{mostly_invalid}bar" }
       
     amf_content "putpoi", "/1", ["test@example.com:test", changeset.id, nil, nil, lon, lat, tags, nil]